专栏首页一去紫台连朔漠Centos7.5 安装Cmake 3.6.2
原创

Centos7.5 安装Cmake 3.6.2

编译Teeworlds遇到cmake版本低的问题

安装依赖包

yum install -y gcc gcc-c++ make automake openssl-devel

下载Cmake

wget https://cmake.org/files/v3.6/cmake-3.6.2.tar.gz

解压Cmake

tar xvf cmake-3.6.2.tar.gz && cd cmake-3.6.2/

编译安装cmake

./bootstrap gmake gmake install

查看编译后的cmake版本

/usr/local/bin/cmake --version

移除原来的cmake版本

yum remove cmake -y

新建软连接

ln -s /usr/local/bin/cmake /usr/bin/

终端查看版本

cmake --version

原创声明,本文系作者授权云+社区发表,未经许可,不得转载。

如有侵权,请联系 yunjia_community@tencent.com 删除。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • python3实现2048游戏

    # -*- coding: utf-8 -*- # url: https://www.shiyanlou.com/courses/368/learning/ ...

    qdjx
  • centos7下pip安装wechat_sender报错问题解决

    注意:wechat-sender基于wxpy,wxpy基于itchat,目前腾讯以大批量关闭微信网页版接口,所以wechat-sender当前已不能使用,以下仅...

    qdjx
  • centos磁盘空间满的问题处理.

    qdjx
  • Centos安装最新版本cmake

    这里建议下载的源码进行编译(下载二进制文件,虽然可以执行,但你并不知道会有什么动态链接库的报错,出现了问题也很难解决)

    Anymarvel
  • 使用Cmake生成跨平台项目编译解决方案

        项目最近有需求在windows下面运行,我花了几周时间将linux的服务器移植到windows下面,目前已经能够正常运行服务器,目前又有了新需求,两边的...

    帘卷西风
  • macOS 上编译 Dynamips

    如果发生错误,可以尝试指定 C 编译器的路径,可用 xcrun 命令找到相应的编译器的路径:

    饶文津
  • centos7 安装cmake

    旺财的城堡
  • Linux CMake 快速使用(一)

    缘起:之前给别人提供的SDK都是在Linux下使用Qt搭建的,但是最近有客户不使用Qt,而是需要在Linux下使用cmake进行进行文件组织。于是我就进行谷歌,...

    用户5908113
  • CENTOS7安装最新版的CAMKE3

    最近折腾openssl的时候发现谷歌Boring ssl常规编译惊人通不过,查看编译记录发现要求CMAKE3版本及以上。

    Zach
  • 详解STM32+SX1276 Linux下的编译环境搭建

    使用apt-get工具安装的cmake版本是3.5.0的,版本比较低,在这里需要安装高版本的cmake工具,因此直接在cmake官网下载最新的工具(https:...

    ManInRoad

扫码关注云+社区

领取腾讯云代金券